Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.uima.resource.metadata
Interface FsIndexDescription

All Superinterfaces:
  Cloneable, MetaDataObject, Serializable, XMLizable

    public interface FsIndexDescription

extends MetaDataObject

A description of a CAS feature structure index. This implements `MetaDataObject`, which implements `XMLizable`, so it can be serialized to and deserialized from an XML element.

Field Summary
`static String` | `KIND_BAG` Identifies a Bag index.
`static String` | `KIND_SET` Identifies a Set index.
`static String` | `KIND_SORTED` Identifies a Sorted index.

Method Summary
`FsIndexKeyDescription[]` | `getKeys()` Gets the keys for this index.
`String` | `getKind()` Gets the "kind" of index.
`String` | `getLabel()` Gets the label of this index.
`String` | `getTypeName()` Gets the Type name for this index.
`void` | `setKeys(FsIndexKeyDescription[] aKeys)` Sets the keys for this index.
`void` | `setKind(String aKind)` Sets the "kind" of index.
`void` | `setLabel(String aLabel)` Sets the label of this index.
`void` | `setTypeName(String aTypeName)` Sets the Type name for this index.

Methods inherited from interface org.apache.uima.resource.metadata.MetaDataObject
`clone, equals, getAttributeValue, getSourceUrl, getSourceUrlString, isModifiable, listAttributes, setAttributeValue, setSourceUrl`

Methods inherited from interface org.apache.uima.util.XMLizable
`buildFromXMLElement, buildFromXMLElement, toXML, toXML, toXML, toXML`

Field Detail

### KIND_SORTED

    static final String KIND_SORTED

  Identifies a Sorted index.

  See Also:
    `FSIndex`, Constant Field Values

### KIND_SET

    static final String KIND_SET

  Identifies a Set index.

  See Also:
    `FSIndex`, Constant Field Values

### KIND_BAG

    static final String KIND_BAG

  Identifies a Bag index.

  See Also:
    `FSIndex`, Constant Field Values

Method Detail

### getLabel

    String getLabel()

  Gets the label of this index. This is the identifier used to retrieve the index from the CAS's Index Repository.

  Returns:
    the label of this index.

### setLabel

    void setLabel(String aLabel)

  Sets the label of this index. This is the identifier used to retrieve the index from the CAS's Index Repository.

  Parameters:
    `aLabel` - the label of this index.

### getTypeName

    String getTypeName()

  Gets the Type name for this index. This determines what type of FeatureStructures are contained in the index.

  Returns:
    the type name for this index

### setTypeName

    void setTypeName(String aTypeName)

  Sets the Type name for this index. This determines what type of FeatureStructures are contained in the index.

  Parameters:
    `aTypeName` - the type name for this index

### getKind

    String getKind()

  Gets the "kind" of index. There are currently three kinds of indexes - "sorted", "set", and "bag" (see `FSIndex` for definitions). If this is `null`, "sorted" is assumed as the default.

  Returns:
    the kind of index

### setKind

    void setKind(String aKind)

  Sets the "kind" of index. There are currently three kinds of indexes - sorted, set, and bag (see `FSIndex` for definitions). If this is `null`, "sorted" is assumed as the default.

  Parameters:
    `aKind` - the kind of index

### getKeys

    FsIndexKeyDescription[] getKeys()

  Gets the keys for this index. The keys determine the ordering of FeatureStructures in this index.

  Returns:
    the keys for this index

### setKeys

    void setKeys(FsIndexKeyDescription[] aKeys)

  Sets the keys for this index. The keys determine the ordering of FeatureStructures in this index.

  Parameters:
    `aKeys` - the keys for this index

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 The Apache Software Foundation. All Rights Reserved.